Bug 1464317 - DHT: Pass errno as an argument to gf_msg
Summary: DHT: Pass errno as an argument to gf_msg
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: 3.10
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1454701 1464316
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-23 05:17 UTC by ankit
Modified: 2018-06-20 18:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1464316
Environment:
Last Closed: 2018-06-20 18:26:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description ankit 2017-06-23 05:17:03 UTC
+++ This bug was initially created as a clone of Bug #1464316 +++

+++ This bug was initially created as a clone of Bug #1454701 +++

Description of problem:
Several calls to gf_msg in the dht-rebalance.c file do not pass the errno as an argument to the gf_msg call. Instead strerror(errno) becomes part of the message.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

The errno (where available) should be passed as an arg to gf_msg which will automatically print the err string.

Additional info:

--- Additional comment from Worker Ant on 2017-06-05 04:47:30 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#1) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-05 07:35:30 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#2) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-06 03:14:10 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#3) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-06 05:01:23 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#4) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-06 05:17:37 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#5) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-06 05:27:47 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#6) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-19 12:25:40 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#7) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-19 22:17:23 EDT ---

REVIEW: https://review.gluster.org/17464 (dht: passing the errno as an argument to gf_msg) posted (#8) for review on master by ankitraj

--- Additional comment from Worker Ant on 2017-06-20 08:32:03 EDT ---

COMMIT: https://review.gluster.org/17464 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit ee9a2f01adb6c089f4579c5e0b7f5eed335dd0df
Author: AnkitRaj <anraj@redhat.com>
Date:   Mon Jun 5 14:11:43 2017 +0530

    dht: passing the errno as an argument to gf_msg
    
    There are many calls in gf_msg where errno
    is needed to pass as an argument instead of
    strerrno(error)
    
    Change-Id: I15048a5e0b41f9752a2023afe8470eca6f2cd383
    Bug: 1454701
    Signed-off-by: AnkitRaj <anraj@redhat.com>
    Reviewed-on: https://review.gluster.org/17464
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: MOHIT AGRAWAL <moagrawa@redhat.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Tested-by: N Balachandran <nbalacha@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Karthik U S <ksubrahm@redhat.com>
    Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>

Comment 1 Worker Ant 2017-06-29 06:43:53 UTC
REVIEW: https://review.gluster.org/17646 (dht: passing the errno as an argument to gf_msg) posted (#1) for review on release-3.10 by ankitraj

Comment 2 Worker Ant 2017-07-07 07:20:28 UTC
REVIEW: https://review.gluster.org/17646 (dht: passing the errno as an argument to gf_msg) posted (#2) for review on release-3.10 by ankitraj

Comment 3 Worker Ant 2017-08-21 07:37:29 UTC
REVIEW: https://review.gluster.org/17646 (dht: passing the errno as an argument to gf_msg) posted (#3) for review on release-3.10 by ankitraj

Comment 5 Shyamsundar 2018-06-20 18:26:02 UTC
This bug reported is against a version of Gluster that is no longer maintained (or has been EOL'd). See https://www.gluster.org/release-schedule/ for the versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline gluster repository, request that it be reopened and the Version field be marked appropriately.


Note You need to log in before you can comment on or make changes to this bug.